Subject: Re: already registered with AC_CONFIG_FILES
From: "Mailing Lists" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, "Dave Korn" <[email-masked]>
Date: Thu, 1 Apr 2004 21:39:45 +0200

Igor, David,

Thanks for your replies. Your guesses were absolutely right, it seems to be a bad EOL problem.

I followed Igor's suggestion and looked at the output through a hex editor, and now the actual error message is:

> > configure.ac:3814: error: `\r' is already registered with AC_CONFIG_FILES.
> > autoconf/status.m4:848: AC_CONFIG_FILES is expanded from...
> > configure.ac:3814: the top level
> > Autom4te::FileUtils::xsystem(/usr/autotool/devel/share/autoconf/Autom4te/FileUtils.pm:29

There is no actual variable name (...which would have been hidden), unless you consider \r a variable name ;-))

I did try PERLIO='crlf', but it didn't help. I set (and exported) it from the shell, but I'm not sure whether this was the right
thing to do.

Generally speaking, I don't really know what to do with the above error message, and what the next debugging step could/should be.

Any ideas? Thanks a lot.

-Mario

P.S.: I have CygWin 1.5.9-1 on W2K, additional system data are included in the attachment

----- Original Message -----
From: "Igor Pechtchanski" <[email-masked]>
To: "Mailing Lists" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, March 31, 2004 18:19
Subject: Re: already registered with AC_CONFIG_FILES

> On Wed, 31 Mar 2004, Mailing Lists wrote:
>
> > Hi all!
> >
> > I am trying to compile some software (VLC from the VideoLAN project) on
> > W2K/CygWin. Unfortunately, during the config, I get an error. I have
> > already contacet the VideoLAN malining list, but to no avail. And I have
> > contacted the automake guys as well. However, I am trying to get help
> > wherever I could possibly get help.
> >
> > I am posting to this mailing list because this error happens on a
> > W2K/CygWin platform. This is the error message I get:
> >
> > ' is already registered with AC_CONFIG_FILES.
> > autoconf/status.m4:848: AC_CONFIG_FILES is expanded from...
> > configure.ac:3814: the top level
> > Autom4te::FileUtils::xsystem(/usr/autotool/devel/share/autoconf/Autom4te/FileUtils.pm:29
> >
> > Please note the single single-quote at the beginning of the error
> > message. I have included the command line after the main body of this
> > post.
> >
> > I cannot simply ignore this message, because the config process exits
> > after this error.
> >
> > I have searched the archives, and have actually found some posts from
> > two years ago. It seems there was a bug in one of the autotools, which
> > was subsequently eliminated. However, I still do get the same kind of
> > error.
> >
> > Now, I don't assume anybody here to know the VideoLAN project. However,
> > maybe somebody can tell me what the problem could be. I mean, I'd be
> > happy to know what the next step in the debugging process could be,
> > since I'm kind of at a loss.
> >
> > I also include an extract of the trace file after the command line.
> >
> > Thanks a lot in advance.
> > -Mario
>
> Mario,
>
> You really should have included the pertinent information about your
> system, as requested in the Cygwin problem reporting guidelines at
> <http://cygwin.com/problems.html>.  In particular, the mount type of the
> directory you're running this from would have been interesting.  However,
> I'll hazard a guess based on the information you did provide.
>
> Have you tried saving the output to a file and looking at that file in an
> editor to see what's actually produced, rather than what's seen on the
> screen?  I bet you'd see some actual variable name in single quotes
> followed by '\r' (0x0D).  Given that this error seems to come from a Perl
> script, try setting PERLIO="crlf" in your environment, and see if this
> fixes the problem.
> Igor
> P.S. Please set your mailer to wrap long lines, otherwise the messages
> look awful in the archives.  Thanks.
> --
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/